Bug 1694735 - Review Request: js8call - Amateur Radio message passing using FT8 modulation
Summary: Review Request: js8call - Amateur Radio message passing using FT8 modulation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-01 13:54 UTC by Richard Shaw
Modified: 2019-04-18 21:43 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-08 00:01:12 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Richard Shaw 2019-04-01 13:54:40 UTC
Spec URL: https://hobbes1069.fedorapeople.org//js8call.spec
SRPM URL: https://hobbes1069.fedorapeople.org//js8call-1.0.0-1.fc29.src.rpm

Description:
FT8Call is a derivative of the WSJT-X application, restructured and redesigned
for keyboard-to-keyboard message passing. It is not supported by nor endorsed
by the WSJT-X development group.

Comment 1 Richard Shaw 2019-04-01 13:55:25 UTC
Scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=33817221

Comment 2 Robert-André Mauchin 2019-04-01 22:26:29 UTC
 - Could you write a more descriptive summary/description, for those who have no idea what WSJT-X is, what does this program do?

 - Use %set_build_flags instead

export CFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"

 - Consider writing an Appdata file for your app: https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/

 - Document why these patches are needed: a comment, a link to upstream bug report or merge request:

Patch0:         js8call-sys_boost.patch
Patch1:         js8call-hamlib.patch

 - Or you could just define a global commit with the hash:

# Release 1.0.0
%global commit 9423640e52a1

[…]

%autosetup -p1 -n widefido-%{name}-%{commit}

   Anyhow, the archive downloaded in Source0 must match the one ir the SRPM. If you modify it, don't pass the full URL in Source0 but only the filename.

 - Remove INSTALL file from docs:

js8call.x86_64: W: install-file-in-docs /usr/share/doc/JS8Call/INSTALL

 - Please see this issue with upstream:

js8call.x86_64: W: executable-stack /usr/bin/js8

executable-stack:
The binary declares the stack as executable.  Executable stack is usually an
error as it is only needed if the code contains GCC trampolines or similar
constructs which uses code on the stack.  One common source for needlessly
executable stack cases are object files built from assembler files which don't
define a proper .note.GNU-stack section.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "BSD 3-clause
     "New" or "Revised" License", "GNU Lesser General Public License
     (v2.1)", "GNU General Public License", "GPL (v2 or later)", "BSL
     (v1.0)". 723 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/js8call/review-
     js8call/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[-]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[/]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in js8call
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3809280 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: js8call-1.0.0-1.fc31.x86_64.rpm
          js8call-debuginfo-1.0.0-1.fc31.x86_64.rpm
          js8call-debugsource-1.0.0-1.fc31.x86_64.rpm
          js8call-1.0.0-1.fc31.src.rpm
js8call.x86_64: W: executable-stack /usr/bin/js8
js8call.x86_64: W: no-manual-page-for-binary js8
js8call.x86_64: W: no-manual-page-for-binary js8call
js8call.x86_64: W: install-file-in-docs /usr/share/doc/JS8Call/INSTALL
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 3 Richard Shaw 2019-04-02 16:06:57 UTC
(In reply to Robert-André Mauchin from comment #2)
>  - Could you write a more descriptive summary/description, for those who
> have no idea what WSJT-X is, what does this program do?

I updated the Summary which hopefully works better and copied some new text from the homepage for the full description.


>  - Use %set_build_flags instead
> 
> export CFLAGS="%{optflags}"
> export LDFLAGS="%{?__global_ldflags}"

Those were left over from wsjtx (which this project forked from). I removed them and the build flags seemed to still be used.


>  - Consider writing an Appdata file for your app:
> https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/

I'll definitely work on that, but not a review blocker correct?


>  - Document why these patches are needed: a comment, a link to upstream bug
> report or merge request:
> 
> Patch0:         js8call-sys_boost.patch
> Patch1:         js8call-hamlib.patch

Done.

 
>  - Or you could just define a global commit with the hash:
> 
> # Release 1.0.0
> %global commit 9423640e52a1

I originally created the repack shell script because upstream failed to exclude the .svn directory using the automatic archive download functionality of bitbucket which bloated the archive by 100%. They fixed that in later tags but I hadn't bothered to change my workflow. It's fixed now.

 
>  - Remove INSTALL file from docs:

Done.


>  - Please see this issue with upstream:
> 
> js8call.x86_64: W: executable-stack /usr/bin/js8

This is a side effect of the fortran code and I don't think anything can be done about it. I asked wsjtx upstream about it when it was being reviewed.

https://sourceforge.net/p/wsjt/mailman/message/36195805/

---

SPEC: https://hobbes1069.fedorapeople.org/js8call.spec
SRPM: https://hobbes1069.fedorapeople.org/js8call-1.0.0-2.fc29.src.rpm

* Tue Apr 02 2019 Richard Shaw <hobbes1069@gmail.com> - 1.0.0-2
- Update spec per review request comments.

Please set the fedora-review flag to "?"

Comment 4 Robert-André Mauchin 2019-04-02 16:26:42 UTC
 - Remove this comment now that it is not useful anymore:

# Source archive from bitbucket includes project name and commit for directory.
# Use repack.sh to repack the archive

LGTM, package approved.

Comment 5 Richard Shaw 2019-04-02 16:29:15 UTC
Whoops! Hard to see in PuTTY, comments are dark blue :)

Thanks for the review!

Comment 6 Gwyn Ciesla 2019-04-02 18:05:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/js8call

Comment 7 Fedora Update System 2019-04-03 01:57:47 UTC
js8call-1.0.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-af32367058

Comment 8 Fedora Update System 2019-04-03 01:57:50 UTC
js8call-1.0.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-525f2a22bd

Comment 9 Fedora Update System 2019-04-03 01:59:04 UTC
js8call-1.0.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7da1b31c98

Comment 10 Fedora Update System 2019-04-04 01:59:21 UTC
js8call-1.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7da1b31c98

Comment 11 Fedora Update System 2019-04-04 04:24:35 UTC
js8call-1.0.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-525f2a22bd

Comment 12 Fedora Update System 2019-04-04 04:49:15 UTC
js8call-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-af32367058

Comment 13 Fedora Update System 2019-04-08 00:01:12 UTC
js8call-1.0.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-13 15:32:07 UTC
js8call-1.0.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-18 21:43:57 UTC
js8call-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.